Get cross-document evidence links for a detection
curl --request GET \
--url https://api.deepxl.ai/v1/detection/{detectionId}/evidence-links \
--header 'x-api-key: <api-key>'import requests
url = "https://api.deepxl.ai/v1/detection/{detectionId}/evidence-links"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.deepxl.ai/v1/detection/{detectionId}/evidence-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detectionId": 123,
"count": 123,
"summary": {
"byLinkType": {},
"byStrength": {},
"criticalCount": 123,
"hasCriticalLinks": true,
"strongestStrength": "<string>"
},
"relatedDetections": [
{
"detectionId": 123,
"linkCount": 123,
"linkTypes": [
"<string>"
],
"directions": [
"<string>"
],
"strongestStrength": "<string>",
"sourceFilename": "<string>",
"docCategory": "<string>",
"documentType": "<string>",
"likelihood": 123,
"likelihoodBand": "<string>"
}
],
"links": [
{
"direction": "<string>",
"sourceFraudDetectionId": 123,
"relatedFraudDetectionId": 123,
"linkType": "<string>",
"evidenceType": "<string>",
"evidenceValue": "<string>",
"strength": "<string>",
"sourceCheckType": "<string>",
"relatedSourceCheckType": "<string>",
"metadata": {},
"createdOn": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Fraud Detection
Get cross-document evidence links for a detection
Get inbound and outbound stored cross-document evidence links for a fraud detection record.
GET
/
v1
/
detection
/
{detectionId}
/
evidence-links
Get cross-document evidence links for a detection
Authorizations
API key created in the dashboard
Path Parameters
Query Parameters
Response
Successful Response
Detection ID used as graph center
Number of evidence links returned
Aggregated summary for the returned evidence links
Show child attributes
Show child attributes
Evidence links grouped by related detection
Show child attributes
Show child attributes
Inbound and outbound evidence links
Show child attributes
Show child attributes
Was this page helpful?
⌘I